from dataclasses import dataclass
from typing import Mapping, Sequence


@dataclass
class StrandFeature:
    type: str
    start: int
    end: int
    feature_properties: Mapping[str, Sequence[str]]
    
@dataclass
class Strand:
    name: str
    coding: str
    features: Sequence[StrandFeature]

def get_feature_coding(strand: Strand, feature: StrandFeature) -> str:
    return strand.coding[feature.start:feature.end]